org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCacheConfigurationSerializer

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheConfigurationSerializer

    public class ClientCacheConfigurationSerializer
    extends Object

Cache configuration serializer.

### Constructor Summary

Constructors
Constructor and Description
`ClientCacheConfigurationSerializer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static QueryEntity` `readQueryEntity(BinaryRawReader in, ClientProtocolContext protocolCtx)` Reads the query entity.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientCacheConfigurationSerializer

    public ClientCacheConfigurationSerializer()

### Method Detail

#### readQueryEntity

    public static QueryEntity readQueryEntity(BinaryRawReader in,
                                              ClientProtocolContext protocolCtx)

Reads the query entity. Version of function to be used from thin client.

Parameters:
  `in` - Stream.
  `protocolCtx` - Client protocol version.
Returns:
  QueryEntity.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023